This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 846375 - Resource list views should have name field as initial sort and limit ancestry to client side sorting only
Resource list views should have name field as initial sort and limit ancestry...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
All All
high Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 11:14 EDT by Jay Shaughnessy
Modified: 2013-09-01 06:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:05:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2012-08-07 11:14:02 EDT
The GUI currently does not apply an initial sort to the resource list views (i.e. ResourceSearchView implemented views).

This includes the Inventory views (Platforms, Servers, etc), the search bar results, and a few other views.

The community has asked for, and it would be useful to apply an initial sort on the 'name' field.  This would give a much more readable result and may save the user from having to do a subsequent DB fetch for sorted data.

Related to sorting is the behavior of the Ancestry field.  This field is stored in an encoded form in the database and sorting on it in the db produces confusing results in the UI, because the sort will not look alphabetical.

Ancestry should be enabled only for client-side sorting.  This means the column can be sorted only when all values are local (already fetched) to the client. In this case the column can be sorted in memory, and will be sorted on the display value as opposed to the encoded value.
Comment 1 Jay Shaughnessy 2012-08-07 11:34:41 EDT
master commit 1b21770ce8d938cce33f03b604b31f6fbc078c14

- Apply default initial sort on Name field for resource list views (using ResourceSearchView)
  - note, updated constructor chaining to be more efficient while adding
    default sort behavior. Removed an unused constructor.
- Disable server-side sorting on Ancestry since sorting on the encoded
  value is not useful to the end user.  Allow client-side sorting when all
  rows are fetched, this gives the desired alpha sort on the display value.
Comment 2 Heiko W. Rupp 2013-09-01 06:05:01 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.